%global momorel 1

Name: libgcrypt
Version: 1.2.0
Release: %{momorel}m
URL: http://www.gnu.org/directory/security/libgcrypt.html
%NoSource 0 ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-%{version}.tar.gz 5c508072d8387ce17d1ab05075c2be40
License: LGPL
Summary: Cryptographic library
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Group: System Environment/Libraries
Requires: libgpg-error
BuildPreReq: libgpg-error

%package devel
Summary: Development files for the %{name} package.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.  It provides functions for all
cryptograhic building blocks: symmetric ciphers
(AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms (MD4, MD5,
RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions,
random numbers and a lot of supporting functions.

%description devel
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.
This package contains files needed to develop
applications using libgcrypt.

%prep
%setup -q

%build
%configure --enable-maintainer-mode --program-prefix="" CC=gcc
make

%install
rm -fr %{buildroot}
%makeinstall

rm -f %{buildroot}%{_infodir}/dir

%clean
rm -fr %{buildroot}

%post
/sbin/ldconfig

%post devel
if [ "$1" = 1 ]; then
/sbin/install-info %{_infodir}/gcrypt.info.* %{_infodir}/dir \
--entry='* libgcrypt: (gcrypt). Cryptographic function library.'
fi

%preun devel
if [ "$1" = 0 ]; then
/sbin/install-info --delete gcrypt.info %{_infodir}/dir
fi

%postun
if [ "$1" = 0 ]; then
/sbin/ldconfig
fi

%files
%defattr(-,root,root)
%{_libdir}/*.so.*.*
%doc AUTHORS
%doc BUGS
%doc COPYING
%doc COPYING.LIB
%doc ChangeLog
%doc INSTALL
%doc NEWS
%doc README
%doc README.apichanges
%doc THANKS
%doc TODO
# %doc doc
%doc tests

%files devel
%defattr(-,root,root)
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_infodir}/gcrypt*

%changelog
* Fri May 07 2004 TAKAHASHI Tamotsu <tamo>
- (1.2.0-1m)
- the first stable version
- api changed

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.12-2m)
- revised spec for enabling rpm 4.2.

* Tue Jan 21 2003 TAKAHASHI Tamotsu
- (1.1.12-1m)
- bugfixes, new functions and manual enhancements
- configure: without --disable-asm
- URL: http://www.gnu.org/directory/security/libgcrypt.html
- doc: one entry per line
- doc: new stuff COPYING.DOC and COPYING.LIB
- doc: doc/ commented out

* Wed Jan 01 2003 TAKAHASHI Tamotsu
- (1.1.11-1m)
- libgcrypt.txt unlisted from files section
- minor changes (MD4, ciphertext stealing, bugfixes, etc)

* Sat Oct 05 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (1.1.10-1m)
- verup
- pre/post are processed in if-fi

* Fri Sep 13 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (1.1.9-1m)
- corrected info (un)installation

* Thu Jul 04 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (1.1.8-1m)
- updated and imported to momonga
- gnu.org/aegypten not found. URL: gnupg.org/
- a dot was needed in info --entry

* Thu May 02 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (1.1.6-0k)
- kondarized
- modified summary and description (from libgcrypt.txt)
- added docs
- CC=gcc (for ccache... really needed?)
- added URL tag... where's the page in gnupg.org?
- not committed yet

* Tue Apr  2 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.6-1
- update to 1.1.6

* Thu Jan 10 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.5-1
- fix the Source tag so that it's a real URL

* Wed Dec 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
